<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.17
Name: Beigelegte erhobene Befunde
Description: Beinhaltet eingebettete Befunde, die im Zuge des Aufenthalts erstellt wurden. Die beigelegten Befunde werden in Form von maschinenlesbaren Elementen eingebettet.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.2.17-2011-12-19T000000">
   <title>Beigelegte erhobene Befunde</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]
Item: (BeigelegteBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section
Item: (BeigelegteBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section"
         id="tmp-95a26c2c-349a-4356-8b0d-ddf2f6f0ca61">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.17'])&gt;=1 ">(BeigelegteBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.17'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.17'])&lt;=1">(BeigelegteBefunde): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.17'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BeigelegteBefunde): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(BeigelegteBefunde): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(BeigelegteBefunde): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(BeigelegteBefunde): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(BeigelegteBefunde): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(BeigelegteBefunde): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:entry)&gt;=1 ">(BeigelegteBefunde): Element hl7:entry ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.17']
Item: (BeigelegteBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.17']"
         id="tmp-15bab27c-3d65-4e42-9cc3-4330781b63f4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BeigelegteBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.2.17'">(BeigelegteBefunde): @root MUSS den Wert '1.2.40.0.34.11.2.2.17' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:code
Item: (BeigelegteBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:code"
         id="tmp-3bdf4f7f-1aba-473d-80dd-ada0279d3015">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BeigelegteBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="@nullFlavor or (@code='BEFBEI' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Beigelegte erhobene Befunde')">(BeigelegteBefunde): Der Elementinhalt MUSS sein code 'BEFBEI' codeSystem '1.2.40.0.34.5.40' displayName='Beigelegte erhobene Befunde'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:title
Item: (BeigelegteBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:title"
         id="tmp-ceb82d1b-2c0a-483c-b3fb-bbd0b8581045">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BeigelegteBefunde): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="text()='Beigelegte erhobene Befunde'">(BeigelegteBefunde): Der Elementinhalt von 'hl7:title' MUSS ''Beigelegte erhobene Befunde'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:text
Item: (BeigelegteBefunde)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry
Item: (BeigelegteBefunde)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry"
         id="tmp-62174cf9-f259-4afd-b1c4-c37a01db04ca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&gt;=1 ">(BeigelegteBefunde): Element hl7:observationMedia ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.17-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&lt;=1">(BeigelegteBefunde): Element hl7:observationMedia kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry
Item: (EingebettetesObjektEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry
Item: (EingebettetesObjektEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia
Item: (EingebettetesObjektEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia"
         id="tmp-37398374-7441-4873-84f2-849b8d60eb41">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@classCode)='OBS'">(EingebettetesObjektEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@moodCode)='EVN'">(EingebettetesObjektEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&gt;=1 ">(EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&lt;=1">(EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(EingebettetesObjektEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:value)&lt;=1">(EingebettetesObjektEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']
Item: (EingebettetesObjektEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']"
         id="tmp-3c902c8e-2086-4541-a916-8cf936390ccf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.3.1'">(EingebettetesObjektEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value
Item: (EingebettetesObjektEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value"
         id="tmp-d2c501ef-9df6-42e9-846d-2ecf973f427a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string-length(@mediaType)&gt;0">(EingebettetesObjektEntry): Attribut @mediaType MUSS vorkommen.</assert>
      <let name="theAttValue" value="@mediaType"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-1.2.40.0.34.10.42-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string-length($displayNamesFound)&gt;0">(EingebettetesObjektEntry): Der Wert von mediaType MUSS gewählt werden aus dem Value Set ELGA_Medientyp (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@representation)='B64'">(EingebettetesObjektEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>
