<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.11
Name: Orientierung und Bewusstseinslage
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.11-2011-12-19T000000">
   <title>Orientierung und Bewusstseinslage</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]
Item: (OrientierungBewusstseinslage)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section
Item: (OrientierungBewusstseinslage)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section"
         id="tmp-1a8a49fe-ccb8-46f1-af0f-f9979ed1422a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.11'])&gt;=1 ">(OrientierungBewusstseinslage): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.11'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.11'])&lt;=1">(OrientierungBewusstseinslage): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.11'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(OrientierungBewusstseinslage): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(OrientierungBewusstseinslage): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(OrientierungBewusstseinslage): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(OrientierungBewusstseinslage): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(OrientierungBewusstseinslage): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(OrientierungBewusstseinslage): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.11']
Item: (OrientierungBewusstseinslage)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.11']"
         id="tmp-dad8f357-357f-47d9-9b44-065756337a01">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrientierungBewusstseinslage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.11'">(OrientierungBewusstseinslage): @root MUSS den Wert '1.2.40.0.34.11.3.2.11' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:code
Item: (OrientierungBewusstseinslage)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:code"
         id="tmp-acee7722-5636-460a-a081-7d79df944fe7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrientierungBewusstseinslage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFORIE' and @codeSystem='1.2.40.0.34.5.40')">(OrientierungBewusstseinslage): Der Elementinhalt MUSS sein code 'PFORIE' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:title
Item: (OrientierungBewusstseinslage)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:title"
         id="tmp-1e75cc67-63b8-4c83-a19e-7b1cc0a88e0d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrientierungBewusstseinslage): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.11-2011-12-19T000000.html"
              test="text()='Orientierung und Bewusstseinslage'">(OrientierungBewusstseinslage): Der Elementinhalt von 'hl7:title' MUSS ''Orientierung und Bewusstseinslage'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.11']]/hl7:section/hl7:text
Item: (OrientierungBewusstseinslage)
-->
</pattern>
