<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.15
Name: Medikamentenverabreichung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.15-2011-12-19T000000">
   <title>Medikamentenverabreichung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]
Item: (Medikamentenverabreichung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section
Item: (Medikamentenverabreichung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section"
         id="tmp-ac139865-3937-4584-bea8-37cc85a5832b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.15'])&gt;=1 ">(Medikamentenverabreichung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.15'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.15'])&lt;=1">(Medikamentenverabreichung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Medikamentenverabreichung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(Medikamentenverabreichung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Medikamentenverabreichung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Medikamentenverabreichung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Medikamentenverabreichung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Medikamentenverabreichung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.15']
Item: (Medikamentenverabreichung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.15']"
         id="tmp-32a26fa5-1abb-4ddf-b8f4-061d2ee0ef25">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Medikamentenverabreichung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.15'">(Medikamentenverabreichung): @root MUSS den Wert '1.2.40.0.34.11.3.2.15' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:code
Item: (Medikamentenverabreichung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:code"
         id="tmp-3b0ddc9b-bd56-4b20-9c47-d9f6e7d0604d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Medikamentenverabreichung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFMED' and @codeSystem='1.2.40.0.34.5.40')">(Medikamentenverabreichung): Der Elementinhalt MUSS sein code 'PFMED' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:title
Item: (Medikamentenverabreichung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:title"
         id="tmp-88730764-04fa-43eb-b175-818dbef55fe0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Medikamentenverabreichung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.15-2011-12-19T000000.html"
              test="text()='Medikamentenverabreichung'">(Medikamentenverabreichung): Der Elementinhalt von 'hl7:title' MUSS ''Medikamentenverabreichung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.15
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.15']]/hl7:section/hl7:text
Item: (Medikamentenverabreichung)
-->
</pattern>
